summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Rasmus Thomsen <rasmus.thomsen@protonmail.com> 2017-08-09 13:53:29 +0200
committerAvatar Heiko Becker <heirecka@exherbo.org> 2017-08-27 09:24:49 +0200
commit87e546fb379794678e5a44c39c948e4c421211d9 (patch)
treef18795bbd2d73de550b9dd65f2f35bca322f4a2a
parent7e19251abed38fa62e9897b9d02ef611303e8baf (diff)
downloadoffice-87e546fb379794678e5a44c39c948e4c421211d9.tar.gz
office-87e546fb379794678e5a44c39c948e4c421211d9.tar.xz
app-office/libreoffice: version bump to 5.4.0.3
Change-Id: I2b2cf403274ee1adb7ecc124f7fa9d6d77afc194 Reviewed-on: https://galileo.mailstation.de/gerrit/9807 Reviewed-by: Heiko Becker <heirecka@exherbo.org>
-rw-r--r--packages/app-office/libreoffice/libreoffice-5.4.0.3.exheres-0 (renamed from packages/app-office/libreoffice/libreoffice-5.3.4.2.exheres-0)4
-rw-r--r--packages/app-office/libreoffice/libreoffice-5.exlib28
2 files changed, 14 insertions, 18 deletions
diff --git a/packages/app-office/libreoffice/libreoffice-5.3.4.2.exheres-0 b/packages/app-office/libreoffice/libreoffice-5.4.0.3.exheres-0
index 1f7d0b4..3483d75 100644
--- a/packages/app-office/libreoffice/libreoffice-5.3.4.2.exheres-0
+++ b/packages/app-office/libreoffice/libreoffice-5.4.0.3.exheres-0
@@ -18,12 +18,10 @@ require libreoffice-5 autotools [ supported_autoconf=[ 2.5 ] supported_automake=
# When bumping, check download.lst for new tarballs
DOWNLOADS+="
(
- ${LIBRE_DEV_URL}86b1daaa438f5a7bea9a52d7b9799ac0-xmlsec1-1.2.23.tar.gz
${LIBRE_DEV_URL}26b3e95ddf3d9c077c480ea45874b3b8-lp_solve_5.5.tar.gz
${LIBRE_DEV_URL}a8c2c5b8f09e7ede322d5c602ff6a4b6-mythes-1.2.4.tar.gz
${LIBRE_DEV_URL}0168229624cfac409e766913506961a8-ucpp-1.3.2.tar.gz
) [[ note = [ bundled libraries/tools
- xmlsec1 - almost impossible to un-bundle, too many patches
lp-solve - seems dead upstream, if you want to package it, look at bugs.fdo#39496
] ]]
@@ -43,7 +41,7 @@ DOWNLOADS+="
PLATFORMS="~amd64 ~x86"
-# Test::testFdo77229 (PresenterCanvas: invalid number of arguments)
+# osl_StreamPipe fails
RESTRICT="test"
DEFAULT_SRC_PREPARE_PATCHES+=(
diff --git a/packages/app-office/libreoffice/libreoffice-5.exlib b/packages/app-office/libreoffice/libreoffice-5.exlib
index a843b3e..bb21bfc 100644
--- a/packages/app-office/libreoffice/libreoffice-5.exlib
+++ b/packages/app-office/libreoffice/libreoffice-5.exlib
@@ -26,7 +26,6 @@ done
MYOPTIONS="
bluetooth [[ description = [ Bluetooth presentation control ] ]]
- collaboration [[ description = [ Collaborative document editing ] ]]
dbus [[ description = [ dbus support, e.g. for presentation mode screensaver control ] ]]
dconf [[ description = [ Build support for the dconf configuration system and settings management ] ]]
embedded-opentype [[ description = [ Support eot files, a predecessor to 'Web Open Font Format' (woff) ] ]]
@@ -59,7 +58,7 @@ DEPENDENCIES="
build:
app-arch/unzip
app-arch/zip
- dev-cpp/cppunit[>=1.12.0]
+ dev-cpp/cppunit[>=1.14.0]
dev-lang/perl:*[>=5.9.3] [[ note = [ for Compress::Zlib ] ]]
dev-libs/libxslt
dev-libs/mdds[>=1.2.0]
@@ -81,18 +80,22 @@ DEPENDENCIES="
resolution = uninstall-blocked-after
]]
app-spell/hunspell:=[>=1.6.0]
+ app-crypt/gpgme
dev-cpp/clucene:1
dev-libs/boost[>=1.55]
dev-libs/expat
dev-libs/glm
dev-libs/icu:=[>=58.1]
+ dev-libs/libassuan
+ dev-libs/libepoxy[>=1.3.1]
+ dev-libs/libgpg-error
dev-libs/libxml2:2.0[>=2.0]
dev-libs/nspr[>=4.8]
dev-libs/nss[>=3.9.3]
dev-libs/redland[>=1.0.16]
+ dev-libs/xmlsec[>=1.2.24][nss]
media-libs/fontconfig[>=2.4.1]
media-libs/freetype:2[>=2.2.0]
- media-libs/glew[>=1.12.0]
media-libs/lcms2
media-libs/libcdr[>=0.1.0]
media-libs/libe-book[>=0.1.2]
@@ -109,15 +112,15 @@ DEPENDENCIES="
office-libs/libetonyek[>=0.1.5]
office-libs/libfreehand[>=0.1.0]
office-libs/libmspub[>=0.1.0]
- office-libs/libmwaw:0.3[>=0.3.9]
+ office-libs/libmwaw:0.3[>=0.3.11]
office-libs/libodfgen[>=0.1.0]
office-libs/liborcus[>=0.12.0]
office-libs/libpagemaker
office-libs/librevenge[>=0.0.1]
- office-libs/libstaroffice[>=0.0.2]
+ office-libs/libstaroffice[>=0.0.3]
office-libs/libwpd[>=0.10.0]
office-libs/libwpg[>=0.3.0]
- office-libs/libwps[>=0.4.4]
+ office-libs/libwps[>=0.4.6]
office-libs/libzmf
text-libs/libexttextcat[>=3.4.1]
text-libs/liblangtag[>=0.5.5]
@@ -139,11 +142,6 @@ DEPENDENCIES="
net-dns/avahi[>=0.6.10][dbus]
net-wireless/bluez
)
- collaboration? (
- dev-libs/glib:2[>=2.15.0] [[ note = [ Previous versions lack GIO ] ]]
- net-im/telepathy-glib[>=0.18.0]
- x11-libs/gtk+:2[>=2.18]
- )
dbus? ( dev-libs/dbus-glib:1[>=0.70] )
dconf? ( gnome-desktop/dconf[>=0.15.2] )
embedded-opentype? ( office-libs/libeot[>=0.01] )
@@ -154,6 +152,7 @@ DEPENDENCIES="
x11-libs/gtk+:2[>=2.18]
)
gtk3? (
+ dev-libs/glib:2[>=2.15.0]
gnome-desktop/gobject-introspection:1[>=1.32.0]
x11-libs/cairo[>=1.0.2]
x11-libs/gtk+:3[>=3.8]
@@ -181,6 +180,8 @@ DEPENDENCIES="
providers:openssl? ( dev-libs/openssl )
run:
java? ( virtual/jre:*[>=1.5] )
+ test:
+ fonts/dejavu
"
libreoffice-5_src_unpack() {
@@ -229,10 +230,8 @@ libreoffice-5_src_configure() {
--enable-ext-numbertext
--enable-extension-integration
--enable-extension-update
- --enable-graphite
--enable-gui
--enable-neon
- --enable-orcus
--enable-python=system
--enable-release-build
--disable-breakpad
@@ -250,6 +249,7 @@ libreoffice-5_src_configure() {
--disable-mergelibs
--disable-odk
--disable-online-update
+ --disable-pdfium
--disable-pch
--disable-postgresql-sdbc
# report-builder requires tons of java packages (and --with-java)
@@ -277,7 +277,6 @@ libreoffice-5_src_configure() {
--without-krb5
# TODO package some of these:
--without-hamcrest
- --without-jpeg-turbo
--without-system-coinmp
--without-system-collada2gltf
--without-system-opencollada
@@ -293,7 +292,6 @@ libreoffice-5_src_configure() {
$(option_enable bluetooth avahi)
$(option_enable bluetooth sdremote_bluetooth)
- $(option_enable collaboration telepathy)
$(option_enable dbus)
$(option_enable dconf)
$(option_enable evolution evolution2)